文档

组件与数据类型的兼容

更新时间:

MaxCompute可以与多款阿里云产品组件集成使用,不同组件支持不同的数据类型。部分组件仅支持MaxCompute 1.0数据类型。

组件

1.0数据类型

2.0数据类型

复杂类型

Hive兼容模式

Decimal2.0

Storage

支持

支持

支持

支持

支持

SDK

支持

支持

支持

支持

支持

SQL

支持

支持

支持

支持

支持

MapReduce

支持

不支持

不支持

不支持

不支持

OpenMapReduce

支持

不支持

不支持

不支持

不支持

PAI

支持除Decimal之外的其它数据类型

2.0新增的数据类型中仅支持INT

部分功能支持map数据类型

不支持

不支持

PyODPS

支持

  • DataFrame不支持2.0数据类型

  • 其它功能都支持2.0数据类型

支持

  • DataFrame不支持2.0数据类型

  • 其它功能不支持2.0数据类型中的DATE

不支持

JDBC

支持

支持

支持

支持

支持

Graph

支持

支持

支持

支持

不支持

Tunnel

支持

支持

支持

支持

支持

DataWorks(数据集成)

支持

支持

支持

支持

支持

DataX

支持

支持

支持

支持

不支持

DataWorks(数据质量)

支持

支持

支持

支持

不支持

DataHub

支持

不支持

不支持

不支持

不支持

Lightning

支持

不支持

不支持

不支持

不支持

  • 本页导读 (1)